<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
    <div class="admin-content">
        <div class="admin-content-body">
            <div class="am-cf am-padding">
                <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目统计</strong> /
                    <small>分月项目统计</small></div>
            </div>

            <form method="post" class="am-form" id="pmsForm">
                <!--选项卡（tabs）begin-->
                <div class="am-tabs am-margin" data-am-tabs>
                    <ul class="am-tabs-nav am-nav am-nav-tabs">
                        <li class="am-active"><a href="#tab1">主要指标</a></li>
                        <li><a href="#tab2">损益表</a></li>
                        <li><a href="#tab3">现金流量表</a></li>
                    </ul>
                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <thead>
                                <tr class="am-text-nowrap">
                                    <td>类别</td>
                                    <td>收入--设备类</td>
                                    <td>收入--施工类</td>
                                    <td>收入--服务类</td>
                                    <td>采购成本--设备类</td>
                                    <td>采购成本--施工类</td>
                                    <td>采购成本--服务类</td>
                                    <td>采购成本--其他</td>
                                    <td>成本--其他</td>
                                    <td>成本--项目管理成本</td>
                                    <td>财务费用--资金占用成本</td>
                                    <td>公司管理费用</td>
                                </tr>
                                </thead>

                                <tbody>
                                <#if  (primaryIndicatorList)?exists && (primaryIndicatorList?size>0)>
                                    <#list  primaryIndicatorList as list>
                                        <tr>
                                            <td>${list.title!}</td>
                                            <td>${(list.incomeDevice!0)?string("0.##")}
                                            <td>${(list.incomeEngineer!0)?string("0.##")}</td>
                                            <td>${(list.incomeService!0)?string("0.##")}</td>
                                            <td>${(list.costPurchaseDevice!0)?string("0.##")}</td>
                                            <td>${(list.costPurchaseBuild!0)?string("0.##")}</td>
                                            <td>${(list.costPurchaseService!0)?string("0.##")}</td>
                                            <td>${(list.costPurchaseOther!0)?string("0.##")}</td>
                                            <td>${(list.costOtherOther!0)?string("0.##")}</td>
                                            <td>${(list.costProjectManage!0)?string("0.##")}</td>
                                            <td>${(list.costExpropriation!0)?string("0.##")}</td>
                                            <td>${(list.costCompanyManage!0)?string("0.##")}</td>
                                        </tr>
                                    </#list>
                                </#if>
                                </tbody>
                            </table>
                        </div>
                    </div>


                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab2">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <thead>
                                <tr>
                                    <td>/</td>
                                    <td>营业收入</td>
                                    <td>营业成本</td>
                                    <td>项目管理成本</td>
                                    <td>其他</td>
                                    <td>财务费用</td>
                                    <td>项目毛利</td>
                                    <td>项目毛利率</td>
                                    <td>公司管理费用</td>
                                    <td>项目贡献利润</td>
                                    <td>项目贡献利润率</td>
                                    <td>所得税费用</td>
                                    <td>项目净利润</td>
                                    <td>项目净利润率</td>
                                </tr>
                                </thead>

                                <tbody>
                                <#if  (profitAndLossList)?exists && (profitAndLossList?size>0)>
                                    <#list  profitAndLossList as list>
                                        <tr>
                                            <td>${list.title!}</td>
                                            <td>${(list.cost!0)?string("0.##")}</td>
                                            <td>${(list.income!0)?string("0.##")}</td>
                                            <td>${(list.manageCost!0)?string("0.##")}</td>
                                            <td>${(list.other!0)?string("0.##")}</td>
                                            <td>${(list.expropriation!0)?string("0.##")}</td>
                                            <td>${(list.grossProfit!0)?string("0.##")}</td>
                                            <td>${(list.grossProfitProfit!0)?string("0.##")}</td>
                                            <td>${(list.companyManage!0)?string("0.##")}</td>
                                            <td>${(list.contributionMargin!0)?string("0.##")}</td>
                                            <td>${(list.contributionMarginProfit!0)?string("0.##")}</td>
                                            <td>${(list.incomeTax!0)?string("0.##")}</td>
                                            <td>${(list.netMargin!0)?string("0.##")}</td>
                                            <td>${(list.netMarginProfit!0)?string("0.##")}</td>
                                        </tr>
                                    </#list>
                                </#if>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab3">
                            <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                <thead>
                                <tr>
                                    <td>/</td>
                                    <td>销售商品、提供劳务收到的现金</td>
                                    <td>收到的税费返还</td>
                                    <td>收到其他与经营活动有关的现金</td>
                                    <td>购买商品、接受劳务支付的现金</td>
                                    <td>支付的各项税费</td>
                                    <td>支付其他与经营活动有关的现金</td>
                                    <td>经营活动产生的现金流量净额</td>
                                    <td>投资活动现金流入</td>
                                    <td>投资活动现金流出</td>
                                    <td>投资活动产生的现金流量净额</td>
                                    <td>借款资金流入</td>
                                    <td>还款资金流出</td>
                                    <td>筹资活动产生的现金流量净额</td>
                                    <td>货币资金净增加额</td>
                                </tr>
                                </thead>
                                <tbody>
                                <#if  (cashFlowList)?exists && (cashFlowList?size>0)>
                                    <#list  cashFlowList as list>
                                        <tr>
                                            <td>${list.title!}</td>
                                            <td>${(list.saleIncomeCash!0)?string("0.##")}</td>
                                            <td>${(list.taxReturn!0)?string("0.##")}</td>
                                            <td>${(list.earnestMoneyIncome!0)?string("0.##")}</td>
                                            <td>${(list.purchaseCost!0)?string("0.##")}</td>
                                            <td>${(list.taxCost!0)?string("0.##")}</td>
                                            <td>${(list.earnestMoneyCost!0)?string("0.##")}</td>
                                            <td>${(list.netCashFlow!0)?string("0.##")}</td>
                                            <td>${(list.cashInflowFromInvestingActivities!0)?string("0.##")}</td>
                                            <td>${(list.cashOutflowFromInvestingActivities!0)?string("0.##")}</td>
                                            <td>${(list.netCashFromInvestingActivities!0)?string("0.##")}</td>
                                            <td>${(list.financingCapitalInflow!0)?string("0.##")}</td>
                                            <td>${(list.financingCapitalOutflow!0)?string("0.##")}</td>
                                            <td>${(list.financingCapitalCashflow!0)?string("0.##")}</td>
                                            <td>${(list.netIncreaseMonetaryFunds!0)?string("0.##")}</td>
                                        </tr>
                                    </#list>
                                </#if>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <!--选项卡（tabs）end-->
                <div class="am-margin">
                    <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">
                        返回上一级
                    </button>
                </div>
            </form>

        </div>
    </div>
    <script>
        var base = "${base}";
    </script>
</@defaultLayout.layout>















