<#assign base=request.contextPath />

<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<style type="text/css">
    /**让所有的模态对话框都居中*/

    .am-modal.am-modal-prompt.am-modal-active {
        transform: translate(-50%, -50%) scale(1);
        left: 50%;
        top: 50%;
        margin-left: 0;
        margin-top: 0!important;
    }

    select[readonly] option {
        display: none;
    }
</style>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目决算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" action="${base}/project/budgetEditSave" data-am-validator>
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目决算表</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                <input name="id" id="id" type="hidden" value="${project.id}" />
                <span class="am-text-lg">收入</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input name="incomeDeviceTaxExclude" type="number" value="${Utils.format(estimateBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类概算总额"></td>
                        <td><input name="incomeDeviceTaxExclude" type="number" value="${Utils.format(budgetBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类结算总额"></td>
                        <td><input name="incomeDeviceFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="设备类决算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input name="incomeEngineerTaxExclude" type="number" value="${Utils.format(estimateBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类概算总额"></td>
                        <td><input name="incomeEngineerTaxExclude" type="number" value="${Utils.format(budgetBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类结算总额"></td>
                        <td><input name="incomeEngineerFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01"  required title="工程类决算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input name="incomeServiceTaxExclude" type="number" value="${Utils.format(estimateBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类概算总额"></td>
                        <td><input name="incomeServiceTaxExclude" type="number" value="${Utils.format(budgetBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类结算总额"></td>
                        <td><input name="incomeServiceFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="服务类决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="estimateIncomeTotalTaxExclude" type="number" value="${Utils.format(estimateBean.getIncomeTotalTaxExclude(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="budgetIncomeTotalTaxExclude" type="number"  value="${Utils.format(budgetBean.getIncomeTotalTaxExclude(),'0')}" readonly required title="此列累计"></td>
                        <td><input type="number" value="${Utils.format(settleBean.getIncomeTotalTaxExclude(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="incomeFinalTotal" type="number" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">成本</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input name="costPurchaseDeviceTaxExclude" type="number" value="${Utils.format(estimateBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备概算总额"></td>
                        <td><input name="costPurchaseDeviceTaxExclude" type="number" value="${Utils.format(budgetBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备预算总额"></td>
                        <td><input  type="number" value="${Utils.format(settleBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备结算总额"></td>
                        <td><input name="costPurchaseDeviceFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="购买设备决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input name="costPurchaseBuildTaxExclude" type="number" value="${Utils.format(estimateBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="施工采购成本概算总额"></td>
                        <td><input name="costPurchaseBuildTaxExclude" type="number" value="${Utils.format(budgetBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="施工采购成本预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="施工采购成本结算总额"></td>
                        <td><input name="costPurchaseBuildFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="施工采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input name="costPurchaseServiceTaxExclude" type="number" value="${Utils.format(estimateBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="服务采购成本概算总额"></td>
                        <td><input name="costPurchaseServiceTaxExclude" type="number" value="${Utils.format(budgetBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="服务采购成本预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="服务采购成本结算总额"></td>
                        <td><input name="costPurchaseServiceFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="服务采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input name="costPurchaseOtherTaxInclude" type="number" value="${Utils.format(estimateBean.costPurchaseOtherTaxInclude,'0')}" readonly required title="其他采购成本概算总额"></td>
                        <td><input name="costPurchaseOtherTaxInclude" type="number" value="${Utils.format(budgetBean.costPurchaseOtherTaxInclude,'0')}" readonly required title="其他采购成本预算总额"></td>
                        <td><input name="costPurchaseOtherSettleTotal" value="${Utils.format(settleBean.costPurchaseOtherTaxExclude,'0')}" type="number" readonly required title="其他采购成本结算总额"></td>
                        <td><input name="costPurchaseOtherFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="其他采购成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input name="costProjectManageTaxExclude" type="number" value="${Utils.format(estimateBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本概算总额"></td>
                        <td><input name="costProjectManageTaxExclude" type="number" value="${Utils.format(budgetBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本预算总额"></td>
                        <td><input name="costProjectManageSettleTotal" value="${Utils.format(settleBean.costProjectManageTaxExclude,'0')}" type="number" readonly required title="项目管理成本结算总额"></td>
                        <td><input name="costProjectManageFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="项目管理成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td>其他</td>
                        <td><input name="costOtherOtherTaxExclude" type="number" value="${Utils.format(estimateBean.costOtherOtherTaxExclude,'0')}" readonly required title="其他成本概算总额"></td>
                        <td><input name="costOtherOtherTaxExclude" type="number" value="${Utils.format(budgetBean.costOtherOtherTaxExclude,'0')}" readonly required title="其他成本预算总额"></td>
                        <td><input name="costOtherSettleTotal" value="${Utils.format(settleBean.costOtherOtherTaxExclude,'0')}" type="number" type="number"readonly required title="其他成本结算总额"></td>
                        <td><input name="costOtherFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="其他成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input name="incomeTotalTaxExclude" value="${Utils.format(estimateBean.getCostTotalTaxExclude(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="costTotalTaxExclude" value="${Utils.format(budgetBean.getCostTotalTaxExclude(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="costSettleTotal" value="${Utils.format(settleBean.getCostTotalTaxExclude(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="costFinalTotal" type="number" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">管理</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input name="costExpropriationTaxExclude" type="number" value="${Utils.format(estimateBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本概算总额"></td>
                        <td><input name="costExpropriationTaxExclude" type="number" value="${Utils.format(budgetBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本预算总额"></td>
                        <td><input type="number"  value="${Utils.format(settleBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本结算总额"></td>
                        <td><input name="costExpropriationFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="资金占用成本决算总额"></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input name="costCompanyManageTaxExclude" type="number" value="${Utils.format(estimateBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用概算总额"></td>
                        <td><input name="costCompanyManageTaxExclude" type="number" value="${Utils.format(budgetBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用结算总额"></td>
                        <td><input name="costCompanyManageFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="公司管理费用决算总额"></td>
                    </tr>
                    <tr>
                        <td>所得税费用</td>
                        <td></td>
                        <td>/</td>
                        <td>/</td>
                        <td><input name="costIncomeTaxSettleTotal" value="${Utils.format(settleBean.costIncomeTax,'0')}" type="number" required readonly title="所得税费用结算总额"></td>
                        <td><input name="costIncomeTaxFinalTotal" type="number" min="0.00" max="999999999.99" step="0.01" required title="所得税费用决算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="manageEstimateTotal" value="${Utils.format(estimateBean.getCostManageExclude(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="manageBudgetTotal" value="${Utils.format(budgetBean.getCostManageExclude(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="manageSettleTotal" value="${Utils.format(settleBean.getCostManageTotal(),'0')}" type="number" readonly required title="此列累计"></td>
                        <td><input name="manageFinalTotal" type="number" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                        <td>利润率（%）</td>
                    </tr>
                    <tr>
                        <td>项目毛利</td>
                        <td><input name="projectGrossProfit" type="number" value="${Utils.format(estimateBean.getProjectGrossProfit(),'0')}" readonly required title="项目毛利概算总额"></td>
                        <td><input name="projectGrossProfit" type="number" value="${Utils.format(budgetBean.getProjectGrossProfit(),'0')}" readonly required title="项目毛利预算总额"></td>
                        <td><input name="grossProfitSettleTotal" type="number" value="${Utils.format(settleBean.grossProfit,'0')}" readonly required title="项目毛利结算总额"></td>
                        <td><input name="grossProfitFinalTotal" required readonly type="number" title="项目毛利决算总额"></td>
                        <td><input name="grossProfitProfitMargin" type="number" required readonly title="项目毛利利润率"></td>
                    </tr>
                    <tr>
                        <td>项目贡献利润</td>
                        <td><input name="projectContributionProfit" type="number" value="${Utils.format(estimateBean.getProjectContributionProfit(),'0')}" readonly required title="项目贡献利润概算总额"></td>
                        <td><input name="projectContributionProfit" type="number" value="${Utils.format(budgetBean.getProjectContributionProfit(),'0')}" readonly required title="项目贡献利润预算总额"></td>
                        <td><input name="contributionMarginSettleTotal" type="number" value="${Utils.format(settleBean.contributionProfit,'0')}" readonly required title="项目贡献利润结算总额"></td>
                        <td><input name="contributionMarginFinalTotal" type="number" required readonly title="项目贡献利润决算总额"></td>
                        <td><input name="contributionMarginProfitMargin" type="number" required readonly title="项目贡献利润利润率"></td>
                    </tr>
                    <tr>
                        <td>项目净利润</td>
                        <td>/</td>
                        <td><input name="netMarginBudgetTotal" type="number" value="${Utils.format(finalBean.netMarginBudgetTotal,'0')}" readonly required title="项目净利润预算总额"></td>
                        <td><input name="netMarginSettleTotal" type="number" value="${Utils.format(settleBean.netProfit,'0')}" readonly required title="项目净利润结算总额"></td>
                        <td><input name="netMarginFinalTotal" type="number" required readonly title="项目净利润决算总额"></td>
                        <td><input name="netMarginProfitMargin" type="number" required readonly title="项目净利润利润率"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">决算现金流量表</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>预算总额（元）</td>
                        <td>结算总额（元）</td>
                        <td>决算总额（元）</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金</td>
                        <td><input name="budgetSaleIncomeCash" type="number" value="${Utils.format(cashFlowBean.saleIncomeCash,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.saleIncomeCash,'0')}" readonly required title="结算总额"></td>
                        <td><input name="saleIncomeCash" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>收到的税费返还</td>
                        <td>/</td>
                        <td><input type="number" value="${Utils.format(settleBean.taxReturn,'0')}" readonly required title="结算总额"></td>
                        <td><input name="taxReturn" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金</td>
                        <td><input name="budgetEarnestMoneyIncome" type="number" value="${Utils.format(cashFlowBean.earnestMoneyIncome,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.earnestMoneyIncome,'0')}" readonly required title="结算总额"></td>
                        <td><input name="earnestMoneyIncome" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现金</td>
                        <td><input name="budgetPurchaseCost" type="number" value="${Utils.format(cashFlowBean.purchaseCost,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.purchaseCost,'0')}" readonly required title="结算总额"></td>
                        <td><input name="purchaseCost" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>支付的各项税费</td>
                        <td>/</td>
                        <td><input type="number" value="${Utils.format(settleBean.taxCost,'0')}" readonly required title="结算总额"></td>
                        <td><input name="taxCost" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金</td>
                        <td><input name="budgetEarnestMoneyCost" type="number" value="${Utils.format(cashFlowBean.earnestMoneyCost,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.earnestMoneyCost,'0')}" readonly required title="结算总额"></td>
                        <td><input name="earnestMoneyCost" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额</td>
                        <td><input name="budgetNetCashFlow" type="number" value="${Utils.format(cashFlowBean.getNetCashFlow(),'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.netCashFlow,'0')}" readonly required title="结算总额"></td>
                        <td><input name="netCashFlow" type="number" readonly required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入</td>
                        <td>/</td>
                        <td><input type="number" value="${Utils.format(settleBean.cashInflowFromInvestingActivities,'0')}" readonly required title="结算总额"></td>
                        <td><input name="cashInflowFromInvestingActivities"  type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出</td>
                        <td>/</td>
                        <td><input type="number" value="${Utils.format(settleBean.cashOutflowFromInvestingActivities,'0')}" readonly required title="结算总额"></td>
                        <td><input name="cashOutflowFromInvestingActivities" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额</td>
                        <td>/</td>
                        <td><input type="number" value="${Utils.format(settleBean.netCashFromInvestingActivities,'0')}" readonly required title="结算总额"></td>
                        <td><input name="netCashFromInvestingActivities" type="number" required readonly title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>融资资金流入</td>
                        <td><input name="budgetFinancingCapitalInflow" type="number" value="${Utils.format(cashFlowBean.financingCapitalInflow,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.financingCapitalInflow,'0')}" readonly required title="结算总额"></td>
                        <td><input name="financingCapitalInflow" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>还款资金流出</td>
                        <td><input name="budgetFinancingCapitalOutflow" type="number" value="${Utils.format(cashFlowBean.financingCapitalOutflow,'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.financingCapitalOutflow,'0')}" readonly required title="结算总额"></td>
                        <td><input name="financingCapitalOutflow" type="number" min="0.00" max="999999999.99" step="0.01" required title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额</td>
                        <td><input name="budgetFinancingCapitalCashflow" type="number" value="${Utils.format(cashFlowBean.getFinancingCapitalCashflow(),'0')}" readonly required title="预算总额"></td>
                        <td><input type="number" value="${Utils.format(settleBean.financingCapitalCashflow,'0')}" readonly required title="结算总额"></td>
                        <td><input name="financingCapitalCashflow" type="number" required readonly title="决算总额"></td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额</td>
                        <td><input name="budgetNetIncreaseMonetaryFunds" type="number" value="${Utils.format(cashFlowBean.getNetIncreaseMonetaryFunds(),'0')}" readonly required title="预算总额"></td>
                        <td><input name="type14SettleTotal" type="number" value="${Utils.format(settleBean.netIncreaseMonetaryFunds,'0')}" readonly required title="结算总额"></td>
                        <td><input name="netIncreaseMonetaryFunds" type="number" readonly required title="决算总额"></td>
                    </tr>
                    <#--<tr>
                        <td>合计</td>
                        <td><input name="cashFluxBudgetTotal" type="number" value="${Utils.format(cashFlowBean.getCashFluxTotal(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="cashFluxSettleTotal" type="number" value="${Utils.format(settleBean.getCashFlowTotal(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="cashFluxFinalTotal" type="number" readonly required title="此列累计"></td>
                    </tr>-->
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>

    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveFinal">保存</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
    </div>
</form>

</div>
</div>
<script>
    var base = "${base}";
</script>
<script src="${base}/assets/js/project_common.js"></script>
<script src="${base}/assets/js/project_final.js"></script>
<script>
    $(function () {
        calculateFinal();
            $("#saveFinal").click(function () {
                $("#pmsForm").attr("action","${base}/project/final/save");
                $("#pmsForm").submit();
            });

            $("#saveApprove").click(function () {
                $("#pmsForm").attr("action",base+"/project/final/saveAndApprove");
                $("#pmsForm").submit();
            });
        });

</script>
</@defaultLayout.layout>















