<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
    <div class="admin-content">
        <div class="admin-content-body">
            <div class="am-cf am-padding">
                <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目统计</strong> /
                    <small>项目汇总统计</small></div>
            </div>
            <div class="am-u-sm-10">
                <div class="am-form am-form-inline">
                    <div class="am-form-group am-form-icon">
                        <input type="text" id="time" name="time" autocomplete="off" readonly value="${time!}">
                    </div>
                </div>
            </div>
            <br/>
            <br/>
            <form method="post" class="am-form" id="pmsForm">
                <input type="hidden" id="keywords" name="keywords" value='${keywords!""}'/>
                <!--选项卡（tabs）begin-->
                <div class="am-tabs am-margin" data-am-tabs>
                    <ul class="am-tabs-nav am-nav am-nav-tabs">
                        <li class="am-active"><a href="#tab1">主要指标</a></li>
                        <li><a href="#tab2">损益表</a></li>
                        <li><a href="#tab3">现金流量表</a></li>
                    </ul>
                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                            <div class="am-scrollable-horizontal">
                                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                    <thead>
                                    <tr class="am-text-nowrap">
                                        <th class="table-title">项目名称</th>
                                        <th class="table-title">收入--设备类</th>
                                        <th class="table-title">收入--工程类</th>
                                        <th class="table-title">收入--服务类</th>
                                        <th class="table-title">采购成本--设备类</th>
                                        <th class="table-title">采购成本--施工类</th>
                                        <th class="table-title">采购成本--服务类</th>
                                        <th class="table-title">采购成本--其他</th>
                                        <th class="table-title">成本--其他</th>
                                        <th class="table-title">成本--项目管理成本</th>
                                        <th class="table-title">财务费用--资金占用成本</th>
                                        <th class="table-title">公司管理费用</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    <#if (pager)?exists>
                                        <#list  pager as list>
                                            <tr>
                                                <td>${list.projectName!}</td>
                                                <td>${(list.incomeDevice!0)?string("0.##")}</td>
                                                <td>${(list.incomeEngineer!0)?string("0.##")}</td>
                                                <td>${(list.incomeService!0)?string("0.##")}</td>
                                                <td>${(list.costPurchaseDevice!0)?string("0.##")}</td>
                                                <td>${(list.costPurchaseBuild!0)?string("0.##")}</td>
                                                <td>${(list.costPurchaseService!0)?string("0.##")}</td>
                                                <td>${(list.costPurchaseOther!0)?string("0.##")}</td>
                                                <td>${(list.costOther!0)?string("0.##")}</td>
                                                <td>${(list.costProjectManage!0)?string("0.##")}</td>
                                                <td>${(list.costExpropriation!0)?string("0.##")}</td>
                                                <td>${(list.costCompanyManage!0)?string("0.##")}</td>
                                            </tr>
                                        </#list>
                                    </#if>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>


                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab2">
                            <div class="am-scrollable-horizontal">
                                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                    <thead>
                                    <tr>
                                        <th class="table-title">项目名称</th>
                                        <th class="table-title">营业收入</th>
                                        <th class="table-title">营业成本</th>
                                        <th class="table-title">项目管理成本</th>
                                        <th class="table-title">其他</th>
                                        <th class="table-title">财务费用</th>
                                        <th class="table-title">项目毛利</th>
                                        <th class="table-title">项目毛利率</th>
                                        <th class="table-title">公司管理费用</th>
                                        <th class="table-title">项目贡献利润</th>
                                        <th class="table-title">项目贡献利润率</th>
                                        <th class="table-title">所得税费用</th>
                                        <th class="table-title">项目净利润</th>
                                        <th class="table-title">项目净利润率</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    <#if (pager)?exists>
                                        <#list  pager as list>
                                            <tr>
                                                <td>${list.projectName!}</td>
                                                <td>${(list.incomeTotal!0)?string("0.##")}</td>
                                                <td>${(list.costTotal2!0)?string("0.##")}</td>
                                                <td>${(list.costProjectManage!0)?string("0.##")}</td>
                                                <td>${(list.costOther!0)?string("0.##")}</td>
                                                <td>${(list.costExpropriation!0)?string("0.##")}</td>
                                                <td>${(list.grossProfit!0)?string("0.##")}</td>
                                                <td>${(list.grossProfitProfitMargin!0)?string("0.##")}</td>
                                                <td>${(list.costCompanyManage!0)?string("0.##")}</td>
                                                <td>${(list.contributionProfit!0)?string("0.##")}</td>
                                                <td>${(list.contributionProfitProfitMargin!0)?string("0.##")}</td>
                                                <td>${(list.taxCost!0)?string("0.##")}</td>
                                                <td>${(list.netProfit!0)?string("0.##")}</td>
                                                <td>${(list.netProfitProfitMargin!0)?string("0.##")}</td>
                                            </tr>
                                        </#list>
                                    </#if>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="am-tabs-bd">
                        <div class="am-tab-panel am-fade am-in" id="tab3">
                            <div class="am-scrollable-horizontal">
                                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                                    <thead>
                                    <tr class="am-text-nowrap">
                                        <th class="table-title">项目名称</th>
                                        <th class="table-title">销售商品、提供劳务收到的现金</th>
                                        <th class="table-title">收到的税费返还</th>
                                        <th class="table-title">收到的其他与经营活动有关的现金</th>
                                        <th class="table-title">购买商品、接受劳务支付的现金</th>
                                        <th class="table-title">支付的各项税费</th>
                                        <th class="table-title">支付其他与经营活动有关的现金</th>
                                        <th class="table-title">经营活动产生的现金流量净额</th>
                                        <th class="table-title">投资活动现金流入</th>
                                        <th class="table-title">投资活动现金流出</th>
                                        <th class="table-title">投资活动产生的现金流量净额</th>
                                        <th class="table-title">借款资金流入</th>
                                        <th class="table-title">还款资金流出</th>
                                        <th class="table-title">筹资活动产生的现金流量净额</th>
                                        <th class="table-title">货币资金净增加额</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    <#if (pager)?exists>
                                        <#list  pager as list>
                                            <tr>
                                                <td>${list.projectName!}</td>
                                                <td>${(list.saleIncomeCash!0)?string("0.##")}</td>
                                                <td>${(list.taxReturn!0)?string("0.##")}</td>
                                                <td>${(list.earnestMoneyIncome!0)?string("0.##")}</td>
                                                <td>${(list.purchaseCost!0)?string("0.##")}</td>
                                                <td>${(list.taxCost!0)?string("0.##")}</td>
                                                <td>${(list.earnestMoneyCost!0)?string("0.##")}</td>
                                                <td>${(list.netCashFlow!0)?string("0.##")}</td>
                                                <td>${(list.cashInflowFromInvestingActivities!0)?string("0.##")}</td>
                                                <td>${(list.cashOutflowFromInvestingActivities!0)?string("0.##")}</td>
                                                <td>${(list.netCashFromInvestingActivities!0)?string("0.##")}</td>
                                                <td>${(list.financingCapitalInflow!0)?string("0.##")}</td>
                                                <td>${(list.financingCapitalOutflow!0)?string("0.##")}</td>
                                                <td>${(list.financingCapitalCashflow!0)?string("0.##")}</td>
                                                <td>${(list.netIncreaseMonetaryFunds!0)?string("0.##")}</td>
                                            </tr>
                                        </#list>
                                    </#if>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                <!--选项卡（tabs）end-->
                <div class="am-margin">
                    <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">
                        返回上一级
                    </button>
                </div>
            </form>

        </div>
    </div>
    <script>
        var base = "${base}";
    </script>
    <script src="${base}/layui/layui.js"></script>
    <script>
        layui.use('laydate', function(){
            var laydate = layui.laydate;

            laydate.render({
                elem: '#time',
                type: 'month',
                btns: ['confirm'],
                trigger: 'click',
                ready: function(){
                    console.log($(this.elem).val());
                },
                done: function() {
                    var time = $(this.elem).val();
                    console.log("time:" + time)
                    setKeywords(time);
                    $("#pmsForm").attr("action","${base}/projectSummary/list");
                    $("#pmsForm").submit();
                }
            });
        });

        function setKeywords(time) {
            var keywordsObj = {};
            keywordsObj.time = time;
            var keywords = "";
            if (!$.isEmptyObject(keywordsObj)) {
                keywords = JSON.stringify(keywordsObj);
            }
            console.log("keywords = " + keywords);

            $("#keywords").val(keywords);
        }
    </script>
</@defaultLayout.layout>















